
package com.lideeyunji.core.framework.service;

import com.lideeyunji.core.framework.params.SaveImportDataParam;
import com.lideeyunji.tool.framework.excel.model.MoreSheetConfig;

import java.util.List;
import java.util.Map;

/**
 * Excel相关
 */
public interface IExcelService {

    /**
     * 导入Excel模版
     * @param dbformId
     */
    MoreSheetConfig getImportExcelTemplate(Long dbformId);

    /**
     * 获取导出基本信息
     * @param dbformId
     */
    MoreSheetConfig getExportExcelField(Long dbformId);

    /**
     * 获取导出基本信息
     * @param dbFormId
     */
    List<MoreSheetConfig> getExportExcelSheetList(Long dbFormId, Map<String, Object> params);

    /**
     * 获取报表导出基本信息
     * @param reportCode
     */
    MoreSheetConfig getExcelReportModel(String reportCode);


    /**
     * 处理临时库
     */
    void handleTempTable(Long dbFormId, Long batchCode);

    //处理导入数据
    void handleImportData(Long dbformId, SaveImportDataParam param);
}
